Staking Queues
Returns information about the various staking-related queues (deposit, exit, full withdrawal, consolidation, compounding switch) and how long the expected wait time is.
The estimated_processed_at field in each queue always refers to the very last item in the network queue
(i.e. when the entire queue will be fully processed).
For per-validator queue details, use:
- /api/v2/ethereum/validators/queues — overview per validator
Deprecation Notice
The current schema for this endpoint (v2) is now considered legacy and will be sunset on 02.07.2026 23:59:59 UTC. We are introducing a new unified schema (v2.1) that provides a more consistent structure across all queue types and aligns with the per-validator queue overview.
This endpoint supports content-type versioning. The response schema depends on the Accept header:
| Accept Header | Schema |
|---|---|
application/json | Legacy schema (until 02.07.2026 23:59:59 UTC); New schema (from 03.07.2026 00:00:00 UTC) |
application/vnd.beaconcha.in.v2+json | Legacy schema (explicit) |
application/vnd.beaconcha.in.v2.1+json | New schema (recommended) |
The new schema provides a unified structure that is consistent with the per-validator queue overview at /api/v2/ethereum/validators/queues.
To upgrade your scripts:
- Set the
Acceptheader toapplication/vnd.beaconcha.in.v2.1+jsonin your request. - Update your response parsing to use the new field names:
data.deposit_queue.estimated_processed_at-> now an object returning both the estimated epoch as well as the estimated timestamp.data.exit_queue.estimated_processed_at-> now an object returning both the estimated epoch as well as the estimated timestamp.
Additionally we provide the following new fields:
data.manual_withdrawal_queuedata.consolidation_queuedata.compounding_switch_queuedata.deposit_queue.topup_countdata.deposit_queue.topup_balance
Please review the new schema documentation by selecting v2.1 from the Content-Type dropdown (located in the top-right corner of the response section below).
The legacy schema will be sunset at 02.07.2026 23:59:59 UTC, after which only the new unified schema will be available and will be served per default. We recommend migrating to the new schema as soon as possible to take advantage of the improved structure and additional data.
Authorizations
Body
The Ethereum chain to query.
mainnet, hoodi Response
Successful response.
Response containing basic information about the queue.
Deprecation Notice:
This response schema is deprecated and will be sunset at 02.07.2026 23:59:59 UTC. Please review the new schema by selecting application/vnd.beaconcha.in.v2.1+json in the Content-Type dropdown above.

